# Generated by rust2rpm 10
%bcond_without check
%global debug_package %{nil}

%global crate tuikit

Name:           rust-%{crate}
Version:        0.2.9
Release:        2%{?dist}
Summary:        Toolkit for writing TUI applications

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/tuikit
Source:         %{crates_source}
# Initial patched metadata
# - Bump env_logger to 0.7.0
Patch0:         tuikit-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Tuikit is a TUI library for writing terminal UI applications. Highlights:

 - Thread safe.
 - Support non-fullscreen mode as well as fullscreen mode.
 - Support Alt keys, mouse events, etc.
 - Buffering for efficient rendering.

Tuikit is modeld after termbox which views the terminal as a table of
fixed-size cells and input being a stream of structured messages.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc CHANGELOG.md README.md
%license LICENSE
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# One test fails because ENOTTY in Mock
%cargo_test -- -- --skip raw::test::test_into_raw_mode
%endif

%changelog
* Sun Oct 20 03:28:28 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.9-2
- Bump env_logger to 0.7.0

* Sun Sep 15 21:53:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.9-1
- Release 0.2.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 18:42:57 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-2
- Regenerate

* Wed Jun 05 17:49:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Tue Jun 04 2019 Josh Stone <jistone@redhat.com> - 0.2.7-1
- Update to 0.2.7
- Bump nix to 0.14

* Sat Apr 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.6-1
- Initial package
